space
Post space section template
POST
/
space-section-template
cURL
curl --request POST \
--url https://api.example.com/space-section-template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"structure": {
"title": "<string>",
"blocks": [
{
"title": "<string>",
"description": "<string>",
"index": 123,
"contentId": "<string>",
"documentId": "<string>",
"allowDownload": true,
"thumbnail": {},
"dueDate": "<string>",
"done": true,
"tasks": [
{
"id": "<string>",
"description": "<string>",
"done": true,
"dueDate": {},
"assignee": {
"name": "<string>",
"avatarUrl": "<string>",
"viewerId": "<string>"
},
"resource": {
"title": "<string>",
"url": "<string>",
"contentId": "<string>"
},
"resources": [
{
"title": "<string>",
"url": "<string>",
"contentId": "<string>"
}
],
"phase": {},
"completedAt": {},
"updatedAt": {}
}
],
"internalOwnerId": "<string>",
"ownerContactId": "<string>",
"stakeholderIds": [
"<string>"
],
"cta": {
"title": "<string>",
"url": "<string>"
},
"resources": [
{
"title": "<string>",
"url": "<string>",
"contentId": "<string>",
"folder": "<string>"
}
],
"meetingTypeId": "<string>",
"formId": "<string>",
"signatureRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"text": {},
"html": "<string>"
}
]
}
}
'import requests
url = "https://api.example.com/space-section-template"
payload = {
"name": "<string>",
"structure": {
"title": "<string>",
"blocks": [
{
"title": "<string>",
"description": "<string>",
"index": 123,
"contentId": "<string>",
"documentId": "<string>",
"allowDownload": True,
"thumbnail": {},
"dueDate": "<string>",
"done": True,
"tasks": [
{
"id": "<string>",
"description": "<string>",
"done": True,
"dueDate": {},
"assignee": {
"name": "<string>",
"avatarUrl": "<string>",
"viewerId": "<string>"
},
"resource": {
"title": "<string>",
"url": "<string>",
"contentId": "<string>"
},
"resources": [
{
"title": "<string>",
"url": "<string>",
"contentId": "<string>"
}
],
"phase": {},
"completedAt": {},
"updatedAt": {}
}
],
"internalOwnerId": "<string>",
"ownerContactId": "<string>",
"stakeholderIds": ["<string>"],
"cta": {
"title": "<string>",
"url": "<string>"
},
"resources": [
{
"title": "<string>",
"url": "<string>",
"contentId": "<string>",
"folder": "<string>"
}
],
"meetingTypeId": "<string>",
"formId": "<string>",
"signatureRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"text": {},
"html": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
structure: {
title: '<string>',
blocks: [
{
title: '<string>',
description: '<string>',
index: 123,
contentId: '<string>',
documentId: '<string>',
allowDownload: true,
thumbnail: {},
dueDate: '<string>',
done: true,
tasks: [
{
id: '<string>',
description: '<string>',
done: true,
dueDate: {},
assignee: {name: '<string>', avatarUrl: '<string>', viewerId: '<string>'},
resource: {title: '<string>', url: '<string>', contentId: '<string>'},
resources: [{title: '<string>', url: '<string>', contentId: '<string>'}],
phase: {},
completedAt: {},
updatedAt: {}
}
],
internalOwnerId: '<string>',
ownerContactId: '<string>',
stakeholderIds: ['<string>'],
cta: {title: '<string>', url: '<string>'},
resources: [
{title: '<string>', url: '<string>', contentId: '<string>', folder: '<string>'}
],
meetingTypeId: '<string>',
formId: '<string>',
signatureRequestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
url: '<string>',
text: {},
html: '<string>'
}
]
}
})
};
fetch('https://api.example.com/space-section-template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"structure": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"companyId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdById": "<string>"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiKeyJWTApiUserHeader
Bearer token: a Platform API Key (format: ak_live::) or a Personal Access Token (format: rgo-...). PATs always act as the token owner.
Body
application/json
⌘I
cURL
